import math
aceticAcid = [ ("C", (0.053,   0.206,   0.000 )),
("O", (0.053,   1.576,   0.000 )),
("O", (1.274,  -0.499,   0.000)),
("C", (-1.269,  -0.557,   0.000 )),
("H", (1.840,  -0.238,   0.882 )),
("H", (-1.840,  -0.294,  -0.890 )),
("H", (-1.840,  -0.294,   0.890 )),
("H", (-1.070,  -1.629,   0.000 )) ]

maxDistance = -1
for firstAtom, firstXYZ in aceticAcid:
    for secondAtom, secondXYZ in aceticAcid:
        distance = math.sqrt((firstXYZ[0]-secondXYZ[0])**2 + 
                             (firstXYZ[1]-secondXYZ[1])**2 + 
                             (firstXYZ[2]-secondXYZ[2])**2)
        if distance > maxDistance:
            maxDistance = distance

print("Diameter of molecule is",maxDistance," Angstrom")

    