# Correcting atom name based on the molecule names:
moleculesWithNames = [ ("carbon dioxyde", ["X","O","O"]),
                       ("nitrous oxyde", ["Y","O"]) ]

for moleculeName,composition in moleculesWithNames:
    for index,atom in enumerate(composition):
        if moleculeName=="carbon dioxyde" and atom != "C" and index==0:
            composition[index] = "C"        
        elif moleculeName=="nitrous oxyde" and atom != "N" and index==0:
            composition[index] = "N"        

for moleculeName,composition in moleculesWithNames:
    print("Molecule name:",moleculeName)
    print("Molecule composition: ")
    for index,atom in enumerate(composition):
        print(composition[index])
